--[[
    Description: Slide + (向右微移)
    Version: 1.0.0
    Author: zaibuyidao (再補一刀)
    Website: https://www.soundengine.cn/user/%E5%86%8D%E8%A3%9C%E4%B8%80%E5%88%80
    Donation: http://www.paypal.me/zaibuyidao
--]]

local take=reaper.MIDIEditor_GetTake(reaper.MIDIEditor_GetActive())
retval, notes, ccs, sysex = reaper.MIDI_CountEvts(take)

local j = 10

function Notes()
  for i = 0,  notes-1 do
    retval, sel, muted, ppq_start, ppq_end, chan, pitch, vel = reaper.MIDI_GetNote( take, i )
    if sel == true then
      reaper.MIDI_SetNote( take, i, sel, muted, ppq_start+j, ppq_end+j, chan, pitch, vel, true )
    end
    i=i+1
  end
end

Notes()

function CCs()
  for i = 0,  ccs-1 do
    retval, sel, muted, cc_ppq, chanmsg, chan, msg2, msg3 = reaper.MIDI_GetCC( take, i )
    if sel == true then
      reaper.MIDI_SetCC( take, i, sel, muted, cc_ppq+j, chanmsgIn, chanIn, msg2In, msg3In, true )
    end
    i=i+1
  end
end

CCs()

reaper.UpdateArrange()
reaper.SN_FocusMIDIEditor()
